import {defineStore} from 'pinia'

// @ts-ignore
export const useTempStore = defineStore('temp', () => {

    const searchStrings = ref({})
    const filters = ref({})
    const columns = ref({})

    function modifySearchString(type,input) {
        searchStrings.value[type] = input
    }

    function clearSearchString(type) {
        searchStrings.value[type] = ""
    }

    function modifyFilter(type,input) {
        filters.value[type] = input
    }

    function modifyColumns(type,input) {
        columns.value[type] = input
    }


    return {
        searchStrings,
        modifySearchString,
        clearSearchString,
        filters,
        modifyFilter,
        columns,
        modifyColumns,
    }


})